Skip to navigation

List periods for a commitment

View as Markdown

Lists periods of the commitment. You can paginate the results using page and pageSize query parameters.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

commitmentKeystringOptional

The unique identifier or number of the commitment. Required if startDate, endDate, and accountNumber are not all provided. Either specify commitmentKey, or provide startDate, endDate, and accountNumber together.

startDatedateOptional

Start date of the billing period in YYYY-MM-DD format. Date filters must be up to 5 years apart. Required if commitmentKey is not provided. Must be used together with endDate and accountNumber.

endDatedateOptional

End date of the billing period in YYYY-MM-DD format. Date filters must be up to 5 years apart. Required if commitmentKey is not provided. Must be used together with startDate and accountNumber.

accountNumberstringOptional

Account number to which the commitment belongs to. Required if commitmentKey is not provided. Must be used together with startDate and endDate.

pageintegerOptional>=1Defaults to 1
Page number for pagination.
pageSizeintegerOptional1-100Defaults to 20
Page size for pagination.

Response

OK
totalintegerOptional

Total number of periods available for the given commitment/Total commitments for given account.

pageintegerOptional
The current page number.
pageSizeintegerOptional
The number of results returned per page.
periodslist of objectsOptional
A list of commitment period objects.

Errors

4XX
Client Request Error
500
Internal Server Error